/Users/bernard/b20/bsoft/src/util/Matrix3.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/util/Matrix3.cpp - Matrix manipulation functions.

SYNOPSIS

#include 'Matrix3.h'
#include 'utilities.h'

  Functions
ostream & operator<< (ostream &output, Matrix3 &m)
int matrix3_show_hp (Matrix3 &mat)
Print out a matrix.

  Variables
int verbose

Detailed Description

Matrix manipulation functions.

Author:
    Bernard Heymann

Date:
    Created: 20000501

    Modified: 20150111

Definition in file Matrix3.cpp.

Function Documentation

  int matrix3_show_hp (Matrix3 & mat)

Print out a matrix.

Parameters:
    mat 3x3 matrix.

Returns:
    int 0.

    Matrix elements less than 1e-6 are set to zero for display.

Definition at line 31 of file Matrix3.cpp.

  ostream& operator<< (ostream & output, Matrix3 & m)

Definition at line 15 of file Matrix3.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.